#include "ftpdownloaditem.h"

FtpDownloadItem::FtpDownloadItem(QObject *parent) :
    QObject(parent),
    fileSize(0),
    currentSize(0),
    speed(-1.0),
    bSuccess(true)
{
}

QString FtpDownloadItem::FileName() const
{
    return this->fileName;
}

quint32 FtpDownloadItem::FileSize() const
{
    return this->fileSize;
}

quint32 FtpDownloadItem::CurrentSize() const
{
    return this->currentSize;
}

double FtpDownloadItem::Speed() const
{
    return this->speed;
}

bool FtpDownloadItem::Success() const
{
    return this->bSuccess;
}

void FtpDownloadItem::SetFileName(QString fileName)
{
    this->fileName = fileName;
}

void FtpDownloadItem::SetFileSize(quint32 fileSize)
{
    this->fileSize = fileSize;
}

void FtpDownloadItem::SetCurrentSize(quint32 currentSize)
{
    this->currentSize = currentSize;
}

void FtpDownloadItem::SetSpeed(double speed)
{
    this->speed = speed;
}

void FtpDownloadItem::SetSuccess(bool bSuccess)
{
    this->bSuccess = bSuccess;
}
