#ifndef FTPDOWNLOADITEM_H
#define FTPDOWNLOADITEM_H

#include <QObject>

class FtpDownloadItem : public QObject
{
    Q_OBJECT
public:
    explicit FtpDownloadItem(QObject *parent = 0);

    QString FileName() const;
    quint32 FileSize() const;
    quint32 CurrentSize() const;
    double Speed() const;
    bool Success() const;
    
    void SetFileName(QString fileName);
    void SetFileSize(quint32 fileSize);
    void SetCurrentSize(quint32 currentSize);
    void SetSpeed(double speed);
    void SetSuccess(bool bSuccess);
private:
    QString fileName;
    quint32 fileSize;
    quint32 currentSize;
    double speed;   //bytes / s
    bool bSuccess;
};

#endif // FTPDOWNLOADITEM_H
